net.minecraft.item

## Class ItemRecord

- java.lang.Object
- - net.minecraft.item.Item
  - - net.minecraft.item.ItemRecord

-     public class ItemRecord
      extends Item

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.minecraft.item.Item

      `Item.ToolMaterial`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `recordName`

    - ### Fields inherited from class net.minecraft.item.Item

      `bFull3D, canRepair, field_111210_e, hasSubtypes, iconString, itemIcon, itemRand, itemRegistry, maxStackSize`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ItemRecord(java.lang.String p_i45350_1_)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addInformation(ItemStack par1ItemStack, EntityPlayer par2EntityPlayer, java.util.List par3List, boolean par4)`
    `IIcon` | `getIconFromDamage(int par1)`
    `EnumRarity` | `getRarity(ItemStack par1ItemStack)`
    `static ItemRecord` | `getRecord(java.lang.String p_150926_0_)`
    `java.lang.String` | `getRecordNameLocal()`
    `ResourceLocation` | `getRecordResource(java.lang.String name)` Retrieves the resource location of the sound to play for this record.
    `boolean` | `onItemUse(ItemStack par1ItemStack, EntityPlayer par2EntityPlayer, World par3World, int par4, int par5, int par6, int par7, float par8, float par9, float par10)`

    - ### Methods inherited from class net.minecraft.item.Item

      `canHarvestBlock, canItemEditBlocks, createEntity, doesContainerItemLeaveCraftingGrid, doesSneakBypassUse, func_150893_a, func_150897_b, getArmorModel, getArmorTexture, getAttributeModifiers, getChestGenBase, getColorFromItemStack, getContainerItem, getContainerItem, getCreativeTab, getCreativeTabs, getDamage, getDigSpeed, getDisplayDamage, getDurabilityForDisplay, getEntityLifespan, getFontRenderer, getHarvestLevel, getHasSubtypes, getIcon, getIcon, getIconFromDamageForRenderPass, getIconIndex, getIconString, getIdFromItem, getIsRepairable, getItemAttributeModifiers, getItemById, getItemEnchantability, getItemFromBlock, getItemStackDisplayName, getItemStackLimit, getItemStackLimit, getItemUseAction, getMaxDamage, getMaxDamage, getMaxItemUseDuration, getMetadata, getMovingObjectPositionFromPlayer, getPotionEffect, getRenderPasses, getShareTag, getSmeltingExperience, getSpriteNumber, getSubItems, getToolClasses, getUnlocalizedName, getUnlocalizedName, getUnlocalizedNameInefficiently, hasContainerItem, hasContainerItem, hasCustomEntity, hasEffect, hasEffect, hitEntity, isBookEnchantable, isDamageable, isDamaged, isFull3D, isItemTool, isMap, isPotionIngredient, isRepairable, isValidArmor, itemInteractionForEntity, onArmorTick, onBlockDestroyed, onBlockStartBreak, onCreated, onDroppedByPlayer, onEaten, onEntityItemUpdate, onEntitySwing, onItemRightClick, onItemUseFirst, onLeftClickEntity, onPlayerStoppedUsing, onUpdate, onUsingTick, registerIcons, registerItems, renderHelmetOverlay, requiresMultipleRenderPasses, setContainerItem, setCreativeTab, setDamage, setFull3D, setHarvestLevel, setHasSubtypes, setMaxDamage, setMaxStackSize, setNoRepair, setPotionEffect, setTextureName, setUnlocalizedName, shouldRotateAroundWhenRendering, showDurabilityBar`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### recordName

          public final java.lang.String recordName

  - ### Constructor Detail

    - #### ItemRecord

          protected ItemRecord(java.lang.String p_i45350_1_)

  - ### Method Detail

    - #### getIconFromDamage

          public IIcon getIconFromDamage(int par1)

      Overrides:
        `getIconFromDamage` in class `Item`

    - #### onItemUse

          public boolean onItemUse(ItemStack par1ItemStack,
                          EntityPlayer par2EntityPlayer,
                          World par3World,
                          int par4,
                          int par5,
                          int par6,
                          int par7,
                          float par8,
                          float par9,
                          float par10)

      Overrides:
        `onItemUse` in class `Item`

    - #### addInformation

          public void addInformation(ItemStack par1ItemStack,
                            EntityPlayer par2EntityPlayer,
                            java.util.List par3List,
                            boolean par4)

      Overrides:
        `addInformation` in class `Item`

    - #### getRecordNameLocal

          public java.lang.String getRecordNameLocal()

    - #### getRarity

          public EnumRarity getRarity(ItemStack par1ItemStack)

      Overrides:
        `getRarity` in class `Item`

    - #### getRecord

          public static ItemRecord getRecord(java.lang.String p_150926_0_)

    - #### getRecordResource

          public ResourceLocation getRecordResource(java.lang.String name)

      Retrieves the resource location of the sound to play for this record.
      Parameters:
        `name` - The name of the record to play
      Returns:
        The resource location for the audio, null to use default.